List audit records for an IP allow list
Early Access
This API is in Early Access and may change at any time. You must pass the
X-EARLY-ACCESS: ip-allow-listsheader on every request, and your account must be enrolled in the IP Allow Lists Early Access program. Contact your PagerDuty account team to request access.
The response will include audit records with changes that are made to the given IP allow list.
The returned records are sorted by the execution_time from newest to oldest.
See Cursor-based pagination for instructions on how to paginate through the result set.
For more information see the Audit API Document.
Scoped OAuth requires: audit_records.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Query Parameters
The minimum of the limit parameter used in the request or the maximum request size of the API.
Optional parameter used to request the "next" set of results from an API. The value provided here is most commonly obtained from the next_cursor field of the previous request. When no value is provided, the request starts at the beginning of the result set.
The start of the date range over which you want to search. If not specified, defaults to now() - 24 hours (past 24 hours)
date-timeThe end of the date range over which you want to search. If not specified, defaults to now(). May not be more than 31 days after since.
date-timeHeader Parameters
This API is currently in Early Access. You MUST pass in this header with the value ip-allow-lists, and your account must be enrolled in the IP Allow Lists Early Access program. Contact your PagerDuty account team to request access.
Value in
- "ip-allow-lists"
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
Get an IP allow list GET
<!-- theme: warning --> > ### Early Access > This API is in Early Access and may change at any time. You must pass the `X-EARLY-ACCESS: ip-allow-lists` header on every request, and your account must be enrolled in the IP Allow Lists Early Access program. Contact your PagerDuty account team to request access. Return the IP allow list with the given `id`. Only Account Owners, Global Admins, and Account API Keys can call this endpoint. Scoped OAuth requires: `ip_allow_lists.read`
List IP allow lists GET
<!-- theme: warning --> > ### Early Access > This API is in Early Access and may change at any time. You must pass the `X-EARLY-ACCESS: ip-allow-lists` header on every request, and your account must be enrolled in the IP Allow Lists Early Access program. Contact your PagerDuty account team to request access. Return all IP allow lists for the account. Only Account Owners, Global Admins, and Account API Keys can call this endpoint. Scoped OAuth requires: `ip_allow_lists.read`